<template>
    <div class="home">
        <phone-typer/>
        <real-growth/>
        <v-container class="pb-0 pb-md-10 pb-lg-10 pt-10 pt-sm-10 pt-md-2 pt-lg-2" fluid>
            <h1>Take your Instagram profile</h1>
            <h1>to the next level!</h1>
            <p class="mb-0">
                As a result of our team's work, you will see an increase in traffic to your Instagram profile and
                content.
            </p>
        </v-container>
        <v-container id="benefits-container"
                     class="pt-0 pb-0"
                     fluid>
            <benefits-banner/>
        </v-container>
        <v-container class="pl-0 pr-0 pl-sm-4 pr-sm-4 pt-0 pt-md-10 pt-lg-10 pb-10" fluid>
            <contact-us-banner :background-color="'#f0f0f0'"/>
        </v-container>
        <div id="pricing">
            <v-container class="pt-md-4 pt-lg-4 pb-10 pb-md-4 pb-lg-4" fluid>
                <pricing-cards/>
            </v-container>
        </div>
        <v-container class="pt-10 pb-10" fluid>
            <grow-your-profile-banner/>
        </v-container>
        <div id="get-free-trial">
            <v-container fluid>
                <free-trial-banner/>
            </v-container>
        </div>
    </div>
</template>

<script>
import BenefitsBanner from './components/BenefitsBanner'
import ContactUsBanner from '../ContactUsBanner'
import FreeTrialBanner from '../FreeTrialBanner'
import GrowYourProfileBanner from '../GrowYourProfileBanner'
import PhoneTyper from './components/PhoneTyper'
import PricingCards from '../PricingCards'
import RealGrowth from './components/RealGrowth'

export default {
    name: 'Home',
    components: {
        'benefits-banner': BenefitsBanner,
        'contact-us-banner': ContactUsBanner,
        'free-trial-banner': FreeTrialBanner,
        'grow-your-profile-banner': GrowYourProfileBanner,
        'phone-typer': PhoneTyper,
        'pricing-cards': PricingCards,
        'real-growth': RealGrowth
    },
}
</script>
<style lang="scss" scoped>
    #get-free-trial {
        background: #833AB4;
        overflow: visible;
        z-index: 99;
    };
    #pricing {
        background: #C13584;
        overflow: visible;
        z-index: 99;
        @media (max-width: 575.98px) {
            padding-top: 0;
            padding-bottom: 0;
        }
    }
</style>
